<?php
class QAModel
{
    private $conn;

    function __construct()
    {
        require_once 'DataSource.php';
        $this->conn = new DataSource();
    }

    function getQuestion()
    {
        $sqlSelect = "SELECT * FROM tbl_question";
        $result = $this->conn->select($sqlSelect);
        return $result;
    }

    function getAnswer()
    {
        $sql = "SELECT  a.*, AVG(ar.star_count) AS average_star_count FROM tbl_answer a LEFT JOIN tbl_answer_rating ar ON a.id = ar.ans_id GROUP BY  a.id, a.answer ORDER BY a.id DESC";
        
        $result = $this->conn->select($sql);
        return $result;
    }


    function insertAnswer($answer, $user_id, $question_id)
    {
        $sql = "INSERT INTO tbl_answer (answer, user_id, question_id) VALUES (?,?,?)";
        $paramType = "sii";
        $paramArray = array($answer, $user_id, $question_id);
        $result = $this->conn->insert($sql, $paramType, $paramArray);
        return $result;
    }

    function insertRating($answerId, $userId, $rating)
    {
        $sql = "INSERT INTO tbl_answer_rating (ans_id, user_id, star_count) VALUES (?, ?, ?)";
        $paramType = "iii";
        $paramArray = array($answerId, $userId, $rating);
        $result = $this->conn->insert($sql, $paramType, $paramArray);

        if ($result === false) {
            return;
        }
        return true;
    }

    function updateRating($rating, $ratingId)
    {
        $sql = "UPDATE tbl_answer_rating SET star_count = ? WHERE id = ?";
        $paramType = "ii";
        $paramArray = array($rating, $ratingId);
        $result = $this->conn->execute($sql, $paramType, $paramArray);

        if ($result === false) {
            return;
        }
        return true;
    }

    function getUserRating($answerId, $userId)
    {
        $sql = "SELECT * FROM tbl_answer_rating WHERE ans_id = ? AND user_id = ?";
        $paramType = "ii";
        $paramArray = array($answerId, $userId);
        $result = $this->conn->select($sql, $paramType, $paramArray);

        return $result;
    }
}
