--
-- Database: `db_question_answer_rating`
--

-- --------------------------------------------------------

--
-- Table structure for table `tbl_answer`
--

CREATE TABLE `tbl_answer` (
  `id` int(11) NOT NULL,
  `answer` varchar(255) NOT NULL,
  `user_id` int(11) NOT NULL,
  `question_id` int(11) NOT NULL,
  `answered_at` timestamp NOT NULL DEFAULT current_timestamp(),
  `star_count` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Dumping data for table `tbl_answer`
--

INSERT INTO `tbl_answer` (`id`, `answer`, `user_id`, `question_id`, `answered_at`, `star_count`) VALUES
(1, 'It is a concept of attributing metal states about desires, beliefs, emotions and all.', 2, 1, '2024-03-23 10:06:29', NULL),
(2, 'It is a concept of predicting the behaviour. And, it is a study of researching the similarities and differnces.', 2, 1, '2024-03-23 10:06:47', NULL);

-- --------------------------------------------------------

--
-- Table structure for table `tbl_answer_rating`
--

CREATE TABLE `tbl_answer_rating` (
  `id` int(11) NOT NULL,
  `ans_id` int(11) NOT NULL,
  `user_id` int(11) NOT NULL,
  `star_count` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `tbl_question`
--

CREATE TABLE `tbl_question` (
  `id` int(11) NOT NULL,
  `question` varchar(255) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Dumping data for table `tbl_question`
--

INSERT INTO `tbl_question` (`id`, `question`) VALUES
(1, 'What is \'theory of mind\' in the context of understanding the intelligence of apes and human?');

--
-- Indexes for dumped tables
--

--
-- Indexes for table `tbl_answer`
--
ALTER TABLE `tbl_answer`
  ADD PRIMARY KEY (`id`),
  ADD KEY `fk_question_id` (`question_id`) USING BTREE;

--
-- Indexes for table `tbl_answer_rating`
--
ALTER TABLE `tbl_answer_rating`
  ADD PRIMARY KEY (`id`),
  ADD KEY `fk_ans_id` (`ans_id`) USING BTREE;

--
-- Indexes for table `tbl_question`
--
ALTER TABLE `tbl_question`
  ADD PRIMARY KEY (`id`);

--
-- AUTO_INCREMENT for dumped tables
--

--
-- AUTO_INCREMENT for table `tbl_answer`
--
ALTER TABLE `tbl_answer`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=7;

--
-- AUTO_INCREMENT for table `tbl_answer_rating`
--
ALTER TABLE `tbl_answer_rating`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `tbl_question`
--
ALTER TABLE `tbl_question`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- Constraints for dumped tables
--

--
-- Constraints for table `tbl_answer`
--
ALTER TABLE `tbl_answer`
  ADD CONSTRAINT `tbl_answer_ibfk_1` FOREIGN KEY (`question_id`) REFERENCES `tbl_question` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `tbl_answer_rating`
--
ALTER TABLE `tbl_answer_rating`
  ADD CONSTRAINT `tbl_answer_rating_ibfk_1` FOREIGN KEY (`ans_id`) REFERENCES `tbl_answer` (`id`) ON DELETE CASCADE;